##############################################################################
#
# BernArticle - yet another Plone article...
#
# Copyright (C) 2005 4teamwork Ltd., Bern, Switzerland and
#                    Informatikdienste of the city of Bern, Switzerland
#
# GNU General Public Licence (GPL)
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA  02111-1307 USA
#
############################################################################## 

try:
    from Products.LinguaPlone.public import *
except ImportError: 
    # No multilingual support
    from Products.Archetypes.public import *



ElementaryBernArticleBanner_schema = Schema((

        
        ImageField('top_image',
            original_size=(1200,600),
            schemata='Banner',
            storage=AttributeStorage(),
            languageIndependent = 1,                        
            widget=ImageWidget( description = "Upload a banner image, for replacing the standart banner image. The Plone-Site has to be enabled for this feature, otherwise it doesn't work. The image should be uploaded in high quality in the desired size."
                                , description_msgid = "bernarticle_help_banner"
                                , label='Banner'
                                , label_msgid="bernarticle_banner"
                                , i18n_domain = "bernarticle"
                                ),
        ),
        
        
),)