##############################################################################
#
# BernArticle - yet another Plone article...
#
# Copyright (C) 2005 4teamwork Ltd., Bern, Switzerland and
#                    Informatikdienste of the city of Bern, Switzerland
#
# GNU General Public Licence (GPL)
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA  02111-1307 USA
#
############################################################################## 

try:
    from Products.LinguaPlone.public import *
except ImportError: 
    # No multilingual support
    from Products.Archetypes.public import *



ElementaryBernArticleContent_schema = Schema((


       TextField('description',
              default='',
              searchable=1,
              accessor="Description",
              storage=MetadataStorage(),
              widget = TextAreaWidget(description = "Enter a brief description", 
                                      description_msgid = "help_description",
                                      label = "Description",
                                      label_msgid = "label_description",
                                      rows = 5,
                                      i18n_domain = "bernarticle")
        ),


        TextField('text',
                  searchable = 1,
                  default_content_type='text/html',
                  default_output_type='text/html',
                  validators=('isTidyHtmlWithCleanup',),
                  allowable_content_types=('text/structured',
                                           'text/html'),
                  widget=RichWidget(description='Enter a value for text.',
                                        description_msgid='BernArticle_help_text',
                                        i18n_domain='bernarticle',
                                        label='Text',
                                        label_msgid='BernArticle_label_text',
                                        rows = 40,                                        
                                        ),
        ),
        
  
),)
