##############################################################################
#
# BernArticle - yet another Plone article...
#
# Copyright (C) 2005 4teamwork Ltd., Bern, Switzerland and
#                    Informatikdienste of the city of Bern, Switzerland
#
# GNU General Public Licence (GPL)
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA  02111-1307 USA
#
############################################################################## 

try:
    from Products.LinguaPlone.public import *
except ImportError: 
    # No multilingual support
    from Products.Archetypes.public import *



from DateTime import DateTime
from Products.ATReferenceBrowserWidget.ATReferenceBrowserWidget import *



BernArticleBlockLink_schema = Schema((
    
       StringField('url',
                required = 1,
                searchable = 1,
                validators = ('isURL',),
                widget = StringWidget(description="The web address",
                                      description_msgid = "bernarticle_url_description",
                                      label = "URL",
                                      label_msgid = "bernarticle_url_label",
                                      i18n_domain = "bernarticle"),
                   ),


        StringField('name',
                    searchable = 1,
                    required=0,
                    widget = StringWidget(  label = 'Link title',
                                            label_msgid = 'bernarticle_link_name_label',
                                            i18n_domain = 'bernarticle',
                                            description = 'Enter the Titel of the Link',
                                            description_msgid = 'bernarticle_link_name_description',),
                   ),

      TextField('block_description',
              default='',
              searchable=1,
              storage=MetadataStorage(),
              widget = TextAreaWidget(rows = 5,
                                      label_msgid="label_description",
                                      description_msgid="help_description",
                                      label="Description",
                                      description="Enter a description",
                                      i18n_domain="plone")),
    ),
    )
    
    