##############################################################################
#
# BernArticle - yet another Plone article...
#
# Copyright (C) 2005 4teamwork Ltd., Bern, Switzerland and
#                    Informatikdienste of the city of Bern, Switzerland
#
# GNU General Public Licence (GPL)
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA  02111-1307 USA
#
############################################################################## 

try:
    from Products.LinguaPlone.public import *
except ImportError: 
    # No multilingual support
    from Products.Archetypes.public import *



ElementaryBernArticleCollectorListing_schema = Schema((


        StringField('listing_layout',
            languageIndependent=1,
            required=1,
            schemata="Layout",
            default='block',
            vocabulary=DisplayList((('block', 'Block'),
                                    ('list', 'List'),
                                    ('list_thumbnail', 'List with Thumbnails'),               
                                    )), 
           widget=SelectionWidget(description='Enter listing layout',
                                   format='radio',
                                   description_msgid='bernarticlecollector_listing_help',
                                   i18n_domain='bernarticle',
                                   label='Listing',
                                   label_msgid='bernarticlecollector_listing_label',),
        ),

        
        BooleanField('show_ListingImages',
                languageIndependent = 1,
                default=1,
                schemata = 'Listing',
                widget=BooleanWidget(
                      label='Show Image',
                      label_msgid='label_image_choice',
                       description="Set to display images in listing",
                       description_msgid='help_image_choice',
                       i18n_domain='bernarticle',
                    ),
        ),
  
),)