##############################################################################
#
# BernArticle - yet another Plone article...
#
# Copyright (C) 2005 4teamwork Ltd., Bern, Switzerland and
#                    Informatikdienste of the city of Bern, Switzerland
#
# GNU General Public Licence (GPL)
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA  02111-1307 USA
#
############################################################################## 

try:
    from Products.LinguaPlone.public import *
except ImportError: 
    # No multilingual support
    from Products.Archetypes.public import *


ElementaryBernArticleImage3_schema = Schema((

       ImageField('image3',
            languageIndependent = 1,
            original_size=(1200,1200),
            schemata='Image3',
            storage=AttributeStorage(),
            sizes = "get_image_sizes",
            widget=ImageWidget( description = u"Upload an image"
                                , description_msgid = ''"BernArticleBlock_help_image3"
                                , label='Picture'
                                , label_msgid=''"BernArticleBlock_label_image3"
                                , i18n_domain = "bernarticle"
                                ),
        ),

        StringField('image3AltText',
            schemata='Image3',
            required=0,
            widget=StringWidget(description='Enter a value for image3AltText.',
                description_msgid='BernArticleBlock_help_image3AltText',
                i18n_domain='bernarticle',
                label='image3AltText',
                label_msgid='BernArticleBlock_label_image3AltText',
            ),
        ),
        
        StringField('image3Legendtext',
            schemata='Image3',
            widget=StringWidget(description='Enter a value for image3Legendtext.',
                description_msgid='BernArticleBlock_help_image3Legendtext',
                i18n_domain='bernarticle',
                label='Image3legendentext',
                label_msgid='BernArticleBlock_label_image3Legendtext',
            ),
        ),
        
        BooleanField('image3Clickable',
            languageIndependent = 1,
            schemata='Image3',
            searchable=0,
            default = 1,
            widget=BooleanWidget(description='Tick for clickable image.',
                description_msgid='BernArticleBlock_help_image3Clickable',
                i18n_domain='bernarticle',
                label='Image3clickable',
                label_msgid='BernArticleBlock_label_image3Clickable',
            ),
        ),

  
),)