## Python Script "folder_position"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=position, id
##title=Move objects in a ordered folder
##
from Products.PythonScripts.standard import url_quote

if context.portal_membership.checkPermission('Modify portal content', context):

    if position.lower()=='up':
        context.moveObjectsUp(id)
    
    if position.lower()=='down':
        context.moveObjectsDown(id)
    
    if position.lower()=='top':
        context.moveObjectsToTop(id)
    
    if position.lower()=='bottom':
        context.moveObjectsToBottom(id)
    
    # order folder by field
    # id in this case is the field
    if position.lower()=='ordered':
        context.orderObjects(id)
    
    # parent object has to be reindexed, otherwise catalog based menu etc still
    # show the old order
    context.plone_utils.reindexOnReorder(context)
    
    msg="Item's position has changed."
    response=context.REQUEST.RESPONSE
    return response.redirect('%s/%s?portal_status_message=%s' % (context.absolute_url(),
                                                                 'view',
                                                                 url_quote(msg)) )

else:
  msg = "Action not allowed here!"
  response=context.REQUEST.RESPONSE
  return response.redirect('%s/%s?portal_status_message=%s' % (context.absolute_url(),
                                                               'view',
                                                               url_quote(msg)) )
    
